| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iShaderDestinationResolver Struct Reference
[Common Plugin Classes]

Interface to allow resolution of friendly destination names. More...

`#include <csplugincommon/shader/shaderplugin.h>`

Inheritance diagram for iShaderDestinationResolver:

[legend]
List of all members.

## Public Member Functions
virtual int | ResolveTU (const char *binding)=0
| When the destination of a texture binding wasn't recognized, the FP is asked whether it can provide a TU number for it.

## Detailed Description

Interface to allow resolution of friendly destination names.

Passed when a shader program is loaded, used to resolve unknown texture unit names etc.

Definition at line 50 of file shaderplugin.h.

## Member Function Documentation

virtual int iShaderDestinationResolver::ResolveTU | ( | const char * | binding | ) | `[pure virtual]`

When the destination of a texture binding wasn't recognized, the FP is asked whether it can provide a TU number for it.

Implemented in csShaderProgram.

The documentation for this struct was generated from the following file:

- csplugincommon/shader/shaderplugin.h